function [K,T,D]=expid_jednaident(t,u,y,b1,b2,language)

% Autor:    Bc. Pavel Doval
% Skolitel: Ing. Lubos Cirka, PhD.
%
% Dakujem Ing. Lubosovi Cirkovi za pochopenie a nezvycajne velku trpezlivost
% pri zodpovedani mojich otazok, vsetku pomoc, ktoru mi poskytol a celkove
% vedenie pri praci na tomto projekte

u_final = u(end);
u_start = u(1);

if u_start == u_final
   u_start = 0;
end

y = (y - y(1))./(u_final-u_start);

%plot(t,y)

porovnanie = 0;
if y(1) >= y(end)
    y = -y;
    porovnanie = 1;
end

y_final = y(end); y_start = min(y);

y1h = (b1/100) * y_final;
y2h = (b2/100) * y_final;

for i = 1:length(y)
   if y(i) < y1h
       y1 = y(i);
       t1 = t(i);
   end
   if y(i) < y2h
       y2 = y(i);
       t2 = t(i);
   end
end

K = sum(y(end-10:end))/11 - sum(y(1:3))/3;
T = ( t2 - t1 ) / log( ( K - y1 ) / ( K - y2) );
x = ( log( (K - y1)/K ) / log(( K - y2)/K ) );
D = ( t2 * x - t1 ) / ( x - 1 );

if D < 0
    D = 1/1e30;
end;

if porovnanie == 1
    K = -K;
    y = -y;
end